Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.window
Class IdeExpertPageSupport

public abstract class IdeExpertPageSupport
implements IdeExpertPage

Abstract class `IdeExpertPageSupport` provides a default implementation of the `IdeExpertPage` interface.

Author:
  TogetherSoft

Constructor Summary
`IdeExpertPageSupport(String pageTitle, int totalPages)` Creates new `IdeExpertPage` with the specified title and count of pages.

Method Summary
`void` | `addChangeListener(ChangeListener listener)` Adds specified change listener for this expert page.
`boolean` | `canFinish()` Checks whether it is possible to finish working with bean's properties.
`boolean` | `canGetNextPage()` Checks whether it is possible to get the next page.
`protected void` | `fireChangeEvent()` Fires up "state changed" event for all listeners.
`IdeExpertListener` | `getExpertListener()` Returns listener to events active when this page selected.
`String` | `getHelpURL()` Returns the string with the help URL.
`abstract Object` | `getNextPage()` Returns next page.
`String` | `getPageTitle()` Returns the page title.
`int` | `getTotalPages()` Returns count of pages.
`boolean` | `isLastPage()` Checks whether the current page is the last one.
`void` | `removeChangeListener(ChangeListener listener)` Removes specified change listener from this expert page.

Constructor Detail

### IdeExpertPageSupport

    public IdeExpertPageSupport(String pageTitle, int totalPages)

  Creates new `IdeExpertPage` with the specified title and count of pages.
  Parameters:
    pageTitle - `String` to be displayed as a page header
    totalPages - `int` number of pages in this expert

Method Detail

### addChangeListener

    public void addChangeListener(ChangeListener listener)

  Adds specified change listener for this expert page.
  See Also:
    IdeExpertPage.addChangeListener(javax.swing.event.ChangeListener)

### canFinish

    public boolean canFinish()

  Checks whether it is possible to finish working with bean's properties.
  See Also:
    IdeExpertPage.canFinish()

### canGetNextPage

    public boolean canGetNextPage()

  Checks whether it is possible to get the next page.
  See Also:
    IdeExpertPage.canGetNextPage()

### fireChangeEvent

    protected void fireChangeEvent()

  Fires up "state changed" event for all listeners.

### getExpertListener

    public IdeExpertListener getExpertListener()

  Returns listener to events active when this page selected.
  See Also:
    IdeExpertPage.getExpertListener()

### getHelpURL

    public String getHelpURL()

  Returns the string with the help URL.
  See Also:
    IdeExpertPage.getHelpURL()

### getNextPage

    public abstract Object getNextPage()

  Returns next page.
  See Also:
    IdeExpertPage.getNextPage()

### getPageTitle

    public String getPageTitle()

  Returns the page title.
  Returns: `String` title of this page
  See Also:
    IdeExpertPage.getPageTitle()

### getTotalPages

    public int getTotalPages()

  Returns count of pages.
  See Also:
    IdeExpertPage.getTotalPages()

### isLastPage

    public boolean isLastPage()

  Checks whether the current page is the last one.
  See Also:
    IdeExpertPage.isLastPage()

### removeChangeListener

    public void removeChangeListener(ChangeListener listener)

  Removes specified change listener from this expert page.
  See Also:
    IdeExpertPage.removeChangeListener(javax.swing.event.ChangeListener)

Association Links

to Class java.lang.String

to Class java.util.Vector

to Class javax.swing.event.ChangeEvent

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD